package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.TreeviewItem;

public interface MaintRoleEntitlementDao  extends Dao{

	void deleteRoleEntitlements(Integer legalEntityCode, String ugRoleCode);

	List<TreeviewItem> getMenusByLegalEntityCodeAndKey1(Integer legalEntityCode, String key1);

	List<TreeviewItem> getMappedEntitlement(Integer legalEntityCode, String ugRoleCode, String text);
	 List<TreeviewItem> getMenusByLegalEntityCodeAndKey1Distinct(Integer legalEntityCode, String key1) ;
	 List<TreeviewItem> getEntitlement(Integer legalEntityCode, String key2);

	List<String> getFunctionIds(Integer legalEntityCode, String ugRoleCode, String status);

	void deleteMaintRoleEntitlementWrk(Integer legalEntityCode, String ugRoleCode);

}
